%% valid
%   determine if a given data object is valid for use or not
% inputs:
%   object:Data - current object
% outputs:
%   valid:boolean - 0 if not valid, 1 if valid
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function valid = valid(object)
if isempty(object.Grid0)
    valid = 0;
    return
end
if isempty(object.Grid1)
    valid = 0;
    return
end
if isempty(object.Grid2)
    valid = 0;
    return
end
valid = 1;

end

